Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.font.effects
Interface ConfigurableEffect

All Superinterfaces:
  Effect

All Known Implementing Classes:
  ColorEffect, GradientEffect, OutlineEffect, OutlineWobbleEffect, OutlineZigzagEffect, ShadowEffect

    public interface ConfigurableEffect

extends Effect

An effect that has a number of configuration values. This allows the effect to be configured in the Hiero GUI and to be saved and loaded to and from a file.

Author:
  Nathan Sweet

Nested Class Summary
`static interface` | `ConfigurableEffect.Value` Represents a configurable value for an effect.

Method Summary
`java.util.List` | `getValues()` Returns the list of `ConfigurableEffect.Value`s for this effect.
`void` | `setValues(java.util.List values)` Sets the list of `ConfigurableEffect.Value`s for this effect.

Methods inherited from interface org.newdawn.slick.font.effects.Effect
`draw`

Method Detail

### getValues

    java.util.List getValues()

  Returns the list of `ConfigurableEffect.Value`s for this effect. This list is not typically backed by the effect, so changes to the values will not take affect until `setValues(List)` is called.

### setValues

    void setValues(java.util.List values)

  Sets the list of `ConfigurableEffect.Value`s for this effect.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.